//......................o0( S-1 )0o.................................(^o^)

extern double XFactor=1;

extern double sp=2;
double sp0=0;

double CoA=0.01;
double CoB=0.01;
double sl1=1;
double sl2=1;
double r1=1;
double r2=1;
double tp1=1;
double tp2=1;

// SL or TP by range factor, form (rf-1) or (rt-1)
//SL
extern double rf=15;
//TP
extern double rt=1;

extern int Range=10;
extern int StopLoss=12;     
extern int TakeProfit=10;   


int Slippage=2;
extern int Magic_Number_S=22080600;
extern int Magic_Number_B=22080900;

datetime last_t=0;
string com="S-1 //Base// ";

int init(){return(0);}
int deinit(){return(0);}
int start()
  {
   int i=0;
   double ask,bid;
   double SL=0,TP=0;   

   
   if (TotalOrders()==0){
         RefreshRates();
         ask=MarketInfo(Symbol(),MODE_ASK);
         bid=MarketInfo(Symbol(),MODE_BID);
         double price=NormalizeDouble(bid,Digits);

//....................Middle.....................................

//Atas 0         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+sp)*Point,Digits),Slippage,SL,TP,com+"B15",Magic_Number_B+15-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 15 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+(Range/2)*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+(Range/2)*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+(Range/2)*Point,Digits),Slippage,SL,TP,com+"S15",Magic_Number_S+15-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 15 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//=====================================================================
//Bawah 0
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-(Range/2)*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-(Range/2)*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-(Range/2)*Point)+sp*Point,Digits),Slippage,SL,TP,com+"B14",Magic_Number_B+14-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 14 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-(Range/2)*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-(Range/2)*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-(Range/2)*Point,Digits),Slippage,SL,TP,com+"S14",Magic_Number_S+14-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 14 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 1         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*1)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*1)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*1)+sp)*Point,Digits),Slippage,SL,TP,com+"B16",Magic_Number_B+16-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 16 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*1))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*1))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*1))*Point,Digits),Slippage,SL,TP,com+"S16",Magic_Number_S+16-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 16 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 1                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*1))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*1))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*1))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"B13",Magic_Number_B+13-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 13 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*1))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*1))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*1))*Point,Digits),Slippage,SL,TP,com+"S13",Magic_Number_S+13-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 13 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 2         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*2)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*2)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*2)+sp)*Point,Digits),Slippage,SL,TP,com+"B17",Magic_Number_B+17-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 17 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*2))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*2))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*2))*Point,Digits),Slippage,SL,TP,com+"S17",Magic_Number_S+17-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 17 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 2                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*2))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*2))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*2))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"12b",Magic_Number_B+12-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 12 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*2))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*2))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*2))*Point,Digits),Slippage,SL,TP,com+"S12",Magic_Number_S+12-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 12 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 3         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*3)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*3)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*3)+sp)*Point,Digits),Slippage,SL,TP,com+"B18",Magic_Number_B+18-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 18 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*3))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*3))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*3))*Point,Digits),Slippage,SL,TP,com+"S18",Magic_Number_S+18-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 18 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 3                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*3))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*3))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*3))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"11b",Magic_Number_B+11-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 11 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*3))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*3))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*3))*Point,Digits),Slippage,SL,TP,com+"S11",Magic_Number_S+11-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 11 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 4         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*4)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*4)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*4)+sp)*Point,Digits),Slippage,SL,TP,com+"B19",Magic_Number_B+19-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 19 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*4))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*4))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*4))*Point,Digits),Slippage,SL,TP,com+"S19",Magic_Number_S+19-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 19 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 4                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*4))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*4))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*4))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"10b",Magic_Number_B+10-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 10 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*4))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*4))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*4))*Point,Digits),Slippage,SL,TP,com+"S10",Magic_Number_S+10-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 10 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 5         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*5)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*5)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*5)+sp)*Point,Digits),Slippage,SL,TP,com+"B20",Magic_Number_B+20-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 20 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*5))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*5))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*5))*Point,Digits),Slippage,SL,TP,com+"S20",Magic_Number_S+20-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 20 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 5                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*5))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*5))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*5))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"9b",Magic_Number_B+9-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 9 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*5))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*5))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*5))*Point,Digits),Slippage,SL,TP,com+"S9",Magic_Number_S+9-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 9 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 6         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*6)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*6)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*6)+sp)*Point,Digits),Slippage,SL,TP,com+"B21",Magic_Number_B+21-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 21 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*6))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*6))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*6))*Point,Digits),Slippage,SL,TP,com+"S21",Magic_Number_S+21-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 21 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 6                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*6))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*6))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*6))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"8b",Magic_Number_B+8-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 8 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*6))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*6))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*6))*Point,Digits),Slippage,SL,TP,com+"S8",Magic_Number_S+8-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 8 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 7         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*7)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*7)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*7)+sp)*Point,Digits),Slippage,SL,TP,com+"B22",Magic_Number_B+22-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 22 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*7))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*7))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*7))*Point,Digits),Slippage,SL,TP,com+"S22",Magic_Number_S+22-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 22 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 7                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*7))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*7))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*7))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"7b",Magic_Number_B+7-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 7 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*7))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*7))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*7))*Point,Digits),Slippage,SL,TP,com+"S7",Magic_Number_S+7-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 7 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 8         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*8)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*8)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*8)+sp)*Point,Digits),Slippage,SL,TP,com+"B23",Magic_Number_B+23-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 23 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*8))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*8))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*8))*Point,Digits),Slippage,SL,TP,com+"S23",Magic_Number_S+23-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 23 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 8                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*8))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*8))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*8))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"6b",Magic_Number_B+6-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 6 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*8))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*8))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*8))*Point,Digits),Slippage,SL,TP,com+"S6",Magic_Number_S+6-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 6 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 9         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*9)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*9)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*9)+sp)*Point,Digits),Slippage,SL,TP,com+"B24",Magic_Number_B+24-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 24 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*9))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*9))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*9))*Point,Digits),Slippage,SL,TP,com+"S24",Magic_Number_S+24-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 24 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 9                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*9))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*9))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*9))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"5b",Magic_Number_B+5-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 5 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*9))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*9))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*9))*Point,Digits),Slippage,SL,TP,com+"S5",Magic_Number_S+5-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 5 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 10         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*10)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*10)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*10)+sp)*Point,Digits),Slippage,SL,TP,com+"B25",Magic_Number_B+25-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 25 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*10))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*10))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*10))*Point,Digits),Slippage,SL,TP,com+"S25",Magic_Number_S+25-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 25 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 10                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*10))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*10))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*10))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"4b",Magic_Number_B+4-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 4 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*10))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*10))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*10))*Point,Digits),Slippage,SL,TP,com+"S4",Magic_Number_S+4-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 4 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 11         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*11)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*11)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*11)+sp)*Point,Digits),Slippage,SL,TP,com+"B26",Magic_Number_B+26-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 26 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*11))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*11))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*11))*Point,Digits),Slippage,SL,TP,com+"S26",Magic_Number_S+26-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 26 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 11                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*11))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*11))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*11))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"3b",Magic_Number_B+3-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 3 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*11))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*11))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*11))*Point,Digits),Slippage,SL,TP,com+"S3",Magic_Number_S+3-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 3 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 12         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*12)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*12)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*12)+sp)*Point,Digits),Slippage,SL,TP,com+"B27",Magic_Number_B+27-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 27 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*12))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*12))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*12))*Point,Digits),Slippage,SL,TP,com+"S27",Magic_Number_S+27-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 27 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 12                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*12))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*12))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*12))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"2b",Magic_Number_B+2-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 2 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*12))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*12))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*12))*Point,Digits),Slippage,SL,TP,com+"S2",Magic_Number_S+2-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 2 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Atas 13         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*13)+sp)*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*13)+sp)*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYSTOP,XFactor*CoA,NormalizeDouble(price+((Range/2)+(Range*13)+sp)*Point,Digits),Slippage,SL,TP,com+"B28",Magic_Number_B+28-1,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 28 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*13))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price+((Range/2)+(Range*13))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,XFactor*CoB,NormalizeDouble(price+((Range/2)+(Range*13))*Point,Digits),Slippage,SL,TP,com+"S28",Magic_Number_S+28-1,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 28 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
//Bawah 13                                                    
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*13))*Point)+sp*Point,Digits)-(StopLoss+((rf-1)*sl1*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble((price-((Range/2)+(Range*13))*Point)+sp*Point,Digits)+(TakeProfit+((rt-1)*tp1*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,XFactor*CoA,NormalizeDouble((price-((Range/2)+(Range*13))*Point)+sp*Point,Digits),Slippage,SL,TP,com+"1b",Magic_Number_B,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy 1 Limit Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*13))*Point,Digits)+(StopLoss+((rf-1)*sl2*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(price-((Range/2)+(Range*13))*Point,Digits)-(TakeProfit+((rt-1)*tp2*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLSTOP,XFactor*CoB,NormalizeDouble(price-((Range/2)+(Range*13))*Point,Digits),Slippage,SL,TP,com+"S1",Magic_Number_S,0,Red)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Sell 1 stop Error :"+error(i)+" at "+Symbol()+" "+Period());                 
         }
 
// v end order 0, dont delete this
   }
   
if(Seconds()>5 && Seconds()<25){

// Divide into 22 Sub Numbers   
if (Total1Orders()==1 && Total1Orders_Mode(OP_BUY)+Total1Orders_Mode(OP_SELL)==1){
      for (int k1=OrdersTotal()-1;k1>=0;k1--){
         OrderSelect(k1,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B){
               sendSell(OrderOpenPrice(),Magic_Number_S,XFactor*CoB,com+"S1",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S){
               sendBuy(OrderOpenPrice(),Magic_Number_B,XFactor*CoA,com+"B1",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total2Orders()==1 && Total2Orders_Mode(OP_BUY)+Total2Orders_Mode(OP_SELL)==1){
      for (int k2=OrdersTotal()-1;k2>=0;k2--){
         OrderSelect(k2,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+2-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+2-1,XFactor*CoB,com+"S2",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+2-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+2-1,XFactor*CoA,com+"B2",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total3Orders()==1 && Total3Orders_Mode(OP_BUY)+Total3Orders_Mode(OP_SELL)==1){
      for (int k3=OrdersTotal()-1;k3>=0;k3--){
         OrderSelect(k3,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+3-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+3-1,XFactor*CoB,com+"S3",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+3-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+3-1,XFactor*CoA,com+"B3",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total4Orders()==1 && Total4Orders_Mode(OP_BUY)+Total4Orders_Mode(OP_SELL)==1){
      for (int k4=OrdersTotal()-1;k4>=0;k4--){
         OrderSelect(k4,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+4-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+4-1,XFactor*CoB,com+"S4",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+4-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+4-1,XFactor*CoA,com+"B4",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total5Orders()==1 && Total5Orders_Mode(OP_BUY)+Total5Orders_Mode(OP_SELL)==1){
      for (int k5=OrdersTotal()-1;k5>=0;k5--){
         OrderSelect(k5,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+5-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+5-1,XFactor*CoB,com+"S5",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+5-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+5-1,XFactor*CoA,com+"B5",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total6Orders()==1 && Total6Orders_Mode(OP_BUY)+Total6Orders_Mode(OP_SELL)==1){
      for (int k6=OrdersTotal()-1;k6>=0;k6--){
         OrderSelect(k6,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+6-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+6-1,XFactor*CoB,com+"S6",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+6-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+6-1,XFactor*CoA,com+"B6",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total7Orders()==1 && Total7Orders_Mode(OP_BUY)+Total7Orders_Mode(OP_SELL)==1){
      for (int k7=OrdersTotal()-1;k7>=0;k7--){
         OrderSelect(k7,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+7-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+7-1,XFactor*CoB,com+"S7",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+7-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+7-1,XFactor*CoA,com+"B7",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total8Orders()==1 && Total8Orders_Mode(OP_BUY)+Total8Orders_Mode(OP_SELL)==1){
      for (int k8=OrdersTotal()-1;k8>=0;k8--){
         OrderSelect(k8,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+8-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+8-1,XFactor*CoB,com+"S8",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+8-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+8-1,XFactor*CoA,com+"B8",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total9Orders()==1 && Total9Orders_Mode(OP_BUY)+Total9Orders_Mode(OP_SELL)==1){
      for (int k9=OrdersTotal()-1;k9>=0;k9--){
         OrderSelect(k9,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+9-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+9-1,XFactor*CoB,com+"S9",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+9-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+9-1,XFactor*CoA,com+"B9",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total10Orders()==1 && Total10Orders_Mode(OP_BUY)+Total10Orders_Mode(OP_SELL)==1){
      for (int k10=OrdersTotal()-1;k10>=0;k10--){
         OrderSelect(k10,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+10-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+10-1,XFactor*CoB,com+"S10",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+10-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+10-1,XFactor*CoA,com+"B10",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total11Orders()==1 && Total11Orders_Mode(OP_BUY)+Total11Orders_Mode(OP_SELL)==1){
      for (int k11=OrdersTotal()-1;k11>=0;k11--){
         OrderSelect(k11,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+11-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+11-1,XFactor*CoB,com+"S11",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+11-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+11-1,XFactor*CoA,com+"B11",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total12Orders()==1 && Total12Orders_Mode(OP_BUY)+Total12Orders_Mode(OP_SELL)==1){
      for (int k12=OrdersTotal()-1;k12>=0;k12--){
         OrderSelect(k12,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+12-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+12-1,XFactor*CoB,com+"S12",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+12-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+12-1,XFactor*CoA,com+"B12",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total13Orders()==1 && Total13Orders_Mode(OP_BUY)+Total13Orders_Mode(OP_SELL)==1){
      for (int k13=OrdersTotal()-1;k13>=0;k13--){
         OrderSelect(k13,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+13-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+13-1,XFactor*CoB,com+"S13",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+13-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+13-1,XFactor*CoA,com+"B13",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total14Orders()==1 && Total14Orders_Mode(OP_BUY)+Total14Orders_Mode(OP_SELL)==1){
      for (int k14=OrdersTotal()-1;k14>=0;k14--){
         OrderSelect(k14,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+14-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+14-1,XFactor*CoB,com+"S14",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+14-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+14-1,XFactor*CoA,com+"B14",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total15Orders()==1 && Total15Orders_Mode(OP_BUY)+Total15Orders_Mode(OP_SELL)==1){
      for (int k15=OrdersTotal()-1;k15>=0;k15--){
         OrderSelect(k15,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+15-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+15-1,XFactor*CoB,com+"S15",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+15-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+15-1,XFactor*CoA,com+"B15",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total16Orders()==1 && Total16Orders_Mode(OP_BUY)+Total16Orders_Mode(OP_SELL)==1){
      for (int k16=OrdersTotal()-1;k16>=0;k16--){
         OrderSelect(k16,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+16-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+16-1,XFactor*CoB,com+"S16",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+16-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+16-1,XFactor*CoA,com+"B16",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total17Orders()==1 && Total17Orders_Mode(OP_BUY)+Total17Orders_Mode(OP_SELL)==1){
      for (int k17=OrdersTotal()-1;k17>=0;k17--){
         OrderSelect(k17,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+17-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+17-1,XFactor*CoB,com+"S17",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+17-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+17-1,XFactor*CoA,com+"B17",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total18Orders()==1 && Total18Orders_Mode(OP_BUY)+Total18Orders_Mode(OP_SELL)==1){
      for (int k18=OrdersTotal()-1;k18>=0;k18--){
         OrderSelect(k18,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+18-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+18-1,XFactor*CoB,com+"S18",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+18-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+18-1,XFactor*CoA,com+"B18",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total19Orders()==1 && Total19Orders_Mode(OP_BUY)+Total19Orders_Mode(OP_SELL)==1){
      for (int k19=OrdersTotal()-1;k19>=0;k19--){
         OrderSelect(k19,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+19-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+19-1,XFactor*CoB,com+"S19",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+19-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+19-1,XFactor*CoA,com+"B19",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total20Orders()==1 && Total20Orders_Mode(OP_BUY)+Total20Orders_Mode(OP_SELL)==1){
      for (int k20=OrdersTotal()-1;k20>=0;k20--){
         OrderSelect(k20,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+20-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+20-1,XFactor*CoB,com+"S20",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+20-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+20-1,XFactor*CoA,com+"B20",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total21Orders()==1 && Total21Orders_Mode(OP_BUY)+Total21Orders_Mode(OP_SELL)==1){
      for (int k21=OrdersTotal()-1;k21>=0;k21--){
         OrderSelect(k21,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+21-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+21-1,XFactor*CoB,com+"S21",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+21-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+21-1,XFactor*CoA,com+"B21",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total22Orders()==1 && Total22Orders_Mode(OP_BUY)+Total22Orders_Mode(OP_SELL)==1){
      for (int k22=OrdersTotal()-1;k22>=0;k22--){
         OrderSelect(k22,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+22-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+22-1,XFactor*CoB,com+"S22",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+22-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+22-1,XFactor*CoA,com+"B22",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total23Orders()==1 && Total23Orders_Mode(OP_BUY)+Total23Orders_Mode(OP_SELL)==1){
      for (int k23=OrdersTotal()-1;k23>=0;k23--){
         OrderSelect(k23,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+23-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+23-1,XFactor*CoB,com+"S23",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+23-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+23-1,XFactor*CoA,com+"B23",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total24Orders()==1 && Total24Orders_Mode(OP_BUY)+Total24Orders_Mode(OP_SELL)==1){
      for (int k24=OrdersTotal()-1;k24>=0;k24--){
         OrderSelect(k24,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+24-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+24-1,XFactor*CoB,com+"S24",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+24-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+24-1,XFactor*CoA,com+"B24",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total25Orders()==1 && Total25Orders_Mode(OP_BUY)+Total25Orders_Mode(OP_SELL)==1){
      for (int k25=OrdersTotal()-1;k25>=0;k25--){
         OrderSelect(k25,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+25-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+25-1,XFactor*CoB,com+"S25",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+25-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+25-1,XFactor*CoA,com+"B25",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total26Orders()==1 && Total26Orders_Mode(OP_BUY)+Total26Orders_Mode(OP_SELL)==1){
      for (int k26=OrdersTotal()-1;k26>=0;k26--){
         OrderSelect(k26,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+26-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+26-1,XFactor*CoB,com+"S26",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+26-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+26-1,XFactor*CoA,com+"B26",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total27Orders()==1 && Total27Orders_Mode(OP_BUY)+Total27Orders_Mode(OP_SELL)==1){
      for (int k27=OrdersTotal()-1;k27>=0;k27--){
         OrderSelect(k27,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+27-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+27-1,XFactor*CoB,com+"S27",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+27-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+27-1,XFactor*CoA,com+"B27",sl1,r1,sp,tp1);
               return(0);
            }}
    }}
if (Total28Orders()==1 && Total28Orders_Mode(OP_BUY)+Total28Orders_Mode(OP_SELL)==1){
      for (int k28=OrdersTotal()-1;k28>=0;k28--){
         OrderSelect(k28,SELECT_BY_POS);
         if (OrderType()==OP_BUY){
            if (OrderMagicNumber()==Magic_Number_B+28-1){
               sendSell(OrderOpenPrice(),Magic_Number_S+28-1,XFactor*CoB,com+"S28",sl2,r2,sp,tp2);
               return(0);
            }}
         if (OrderType()==OP_SELL){
            if (OrderMagicNumber()==Magic_Number_S+28-1){
               sendBuy(OrderOpenPrice(),Magic_Number_B+28-1,XFactor*CoA,com+"B28",sl1,r1,sp,tp1);
               return(0);
            }}
    }}

 
 

// V end exec , one replace another, dont delete it            
   return(0);   
  }   
}   


// The 28 parameters

int Total1Orders(){
   int rez=0;
   for (int i=0;i<OrdersTotal();i++){
      OrderSelect(i,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S)  || (OrderMagicNumber()==Magic_Number_B) ){
         rez++;}}   
   return(rez);
}
int Total1Orders_Mode(int m){
   int rez=0;
   for (int i=0;i<OrdersTotal();i++){
      OrderSelect(i,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S)  || (OrderMagicNumber()==Magic_Number_B)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total2Orders(){
   int rez=0;
   for (int i2=0;i2<OrdersTotal();i2++){
      OrderSelect(i2,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+2-1)  || (OrderMagicNumber()==Magic_Number_B+2-1) ){
         rez++;}}   
   return(rez);
}
int Total2Orders_Mode(int m){
   int rez=0;
   for (int ii2=0;ii2<OrdersTotal();ii2++){
      OrderSelect(ii2,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+2-1)  || (OrderMagicNumber()==Magic_Number_B+2-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total3Orders(){
   int rez=0;
   for (int i3=0;i3<OrdersTotal();i3++){
      OrderSelect(i3,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+3-1)  || (OrderMagicNumber()==Magic_Number_B+3-1) ){
         rez++;}}   
   return(rez);
}
int Total3Orders_Mode(int m){
   int rez=0;
   for (int ii3=0;ii3<OrdersTotal();ii3++){
      OrderSelect(ii3,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+3-1)  || (OrderMagicNumber()==Magic_Number_B+3-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total4Orders(){
   int rez=0;
   for (int i4=0;i4<OrdersTotal();i4++){
      OrderSelect(i4,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+4-1)  || (OrderMagicNumber()==Magic_Number_B+4-1) ){
         rez++;}}   
   return(rez);
}
int Total4Orders_Mode(int m){
   int rez=0;
   for (int ii4=0;ii4<OrdersTotal();ii4++){
      OrderSelect(ii4,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+4-1)  || (OrderMagicNumber()==Magic_Number_B+4-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total5Orders(){
   int rez=0;
   for (int i5=0;i5<OrdersTotal();i5++){
      OrderSelect(i5,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+5-1)  || (OrderMagicNumber()==Magic_Number_B+5-1) ){
         rez++;}}   
   return(rez);
}
int Total5Orders_Mode(int m){
   int rez=0;
   for (int ii5=0;ii5<OrdersTotal();ii5++){
      OrderSelect(ii5,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+5-1)  || (OrderMagicNumber()==Magic_Number_B+5-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total6Orders(){
   int rez=0;
   for (int i6=0;i6<OrdersTotal();i6++){
      OrderSelect(i6,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+6-1)  || (OrderMagicNumber()==Magic_Number_B+6-1) ){
         rez++;}}   
   return(rez);
}
int Total6Orders_Mode(int m){
   int rez=0;
   for (int ii6=0;ii6<OrdersTotal();ii6++){
      OrderSelect(ii6,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+6-1)  || (OrderMagicNumber()==Magic_Number_B+6-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total7Orders(){
   int rez=0;
   for (int i7=0;i7<OrdersTotal();i7++){
      OrderSelect(i7,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+7-1)  || (OrderMagicNumber()==Magic_Number_B+7-1) ){
         rez++;}}   
   return(rez);
}
int Total7Orders_Mode(int m){
   int rez=0;
   for (int ii7=0;ii7<OrdersTotal();ii7++){
      OrderSelect(ii7,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+7-1)  || (OrderMagicNumber()==Magic_Number_B+7-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total8Orders(){
   int rez=0;
   for (int i8=0;i8<OrdersTotal();i8++){
      OrderSelect(i8,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+8-1)  || (OrderMagicNumber()==Magic_Number_B+8-1) ){
         rez++;}}   
   return(rez);
}
int Total8Orders_Mode(int m){
   int rez=0;
   for (int ii8=0;ii8<OrdersTotal();ii8++){
      OrderSelect(ii8,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+8-1)  || (OrderMagicNumber()==Magic_Number_B+8-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total9Orders(){
   int rez=0;
   for (int i9=0;i9<OrdersTotal();i9++){
      OrderSelect(i9,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+9-1)  || (OrderMagicNumber()==Magic_Number_B+9-1) ){
         rez++;}}   
   return(rez);
}
int Total9Orders_Mode(int m){
   int rez=0;
   for (int ii9=0;ii9<OrdersTotal();ii9++){
      OrderSelect(ii9,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+9-1)  || (OrderMagicNumber()==Magic_Number_B+9-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total10Orders(){
   int rez=0;
   for (int i10=0;i10<OrdersTotal();i10++){
      OrderSelect(i10,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+10-1)  || (OrderMagicNumber()==Magic_Number_B+10-1) ){
         rez++;}}   
   return(rez);
}
int Total10Orders_Mode(int m){
   int rez=0;
   for (int ii10=0;ii10<OrdersTotal();ii10++){
      OrderSelect(ii10,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+10-1)  || (OrderMagicNumber()==Magic_Number_B+10-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total11Orders(){
   int rez=0;
   for (int i11=0;i11<OrdersTotal();i11++){
      OrderSelect(i11,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+11-1)  || (OrderMagicNumber()==Magic_Number_B+11-1) ){
         rez++;}}   
   return(rez);
}
int Total11Orders_Mode(int m){
   int rez=0;
   for (int ii11=0;ii11<OrdersTotal();ii11++){
      OrderSelect(ii11,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+11-1)  || (OrderMagicNumber()==Magic_Number_B+11-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total12Orders(){
   int rez=0;
   for (int i12=0;i12<OrdersTotal();i12++){
      OrderSelect(i12,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+12-1)  || (OrderMagicNumber()==Magic_Number_B+12-1) ){
         rez++;}}   
   return(rez);
}
int Total12Orders_Mode(int m){
   int rez=0;
   for (int ii12=0;ii12<OrdersTotal();ii12++){
      OrderSelect(ii12,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+12-1)  || (OrderMagicNumber()==Magic_Number_B+12-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total13Orders(){
   int rez=0;
   for (int i13=0;i13<OrdersTotal();i13++){
      OrderSelect(i13,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+13-1)  || (OrderMagicNumber()==Magic_Number_B+13-1) ){
         rez++;}}   
   return(rez);
}
int Total13Orders_Mode(int m){
   int rez=0;
   for (int ii13=0;ii13<OrdersTotal();ii13++){
      OrderSelect(ii13,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+13-1)  || (OrderMagicNumber()==Magic_Number_B+13-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total14Orders(){
   int rez=0;
   for (int i14=0;i14<OrdersTotal();i14++){
      OrderSelect(i14,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+14-1)  || (OrderMagicNumber()==Magic_Number_B+14-1) ){
         rez++;}}   
   return(rez);
}
int Total14Orders_Mode(int m){
   int rez=0;
   for (int ii14=0;ii14<OrdersTotal();ii14++){
      OrderSelect(ii14,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+14-1)  || (OrderMagicNumber()==Magic_Number_B+14-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total15Orders(){
   int rez=0;
   for (int i15=0;i15<OrdersTotal();i15++){
      OrderSelect(i15,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+15-1)  || (OrderMagicNumber()==Magic_Number_B+15-1) ){
         rez++;}}   
   return(rez);
}
int Total15Orders_Mode(int m){
   int rez=0;
   for (int ii15=0;ii15<OrdersTotal();ii15++){
      OrderSelect(ii15,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+15-1)  || (OrderMagicNumber()==Magic_Number_B+15-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total16Orders(){
   int rez=0;
   for (int i16=0;i16<OrdersTotal();i16++){
      OrderSelect(i16,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+16-1)  || (OrderMagicNumber()==Magic_Number_B+16-1) ){
         rez++;}}   
   return(rez);
}
int Total16Orders_Mode(int m){
   int rez=0;
   for (int ii16=0;ii16<OrdersTotal();ii16++){
      OrderSelect(ii16,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+16-1)  || (OrderMagicNumber()==Magic_Number_B+16-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total17Orders(){
   int rez=0;
   for (int i17=0;i17<OrdersTotal();i17++){
      OrderSelect(i17,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+17-1)  || (OrderMagicNumber()==Magic_Number_B+17-1) ){
         rez++;}}   
   return(rez);
}
int Total17Orders_Mode(int m){
   int rez=0;
   for (int ii17=0;ii17<OrdersTotal();ii17++){
      OrderSelect(ii17,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+17-1)  || (OrderMagicNumber()==Magic_Number_B+17-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total18Orders(){
   int rez=0;
   for (int i18=0;i18<OrdersTotal();i18++){
      OrderSelect(i18,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+18-1)  || (OrderMagicNumber()==Magic_Number_B+18-1) ){
         rez++;}}   
   return(rez);
}
int Total18Orders_Mode(int m){
   int rez=0;
   for (int ii18=0;ii18<OrdersTotal();ii18++){
      OrderSelect(ii18,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+18-1)  || (OrderMagicNumber()==Magic_Number_B+18-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total19Orders(){
   int rez=0;
   for (int i19=0;i19<OrdersTotal();i19++){
      OrderSelect(i19,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+19-1)  || (OrderMagicNumber()==Magic_Number_B+19-1) ){
         rez++;}}   
   return(rez);
}
int Total19Orders_Mode(int m){
   int rez=0;
   for (int ii19=0;ii19<OrdersTotal();ii19++){
      OrderSelect(ii19,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+19-1)  || (OrderMagicNumber()==Magic_Number_B+19-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total20Orders(){
   int rez=0;
   for (int i20=0;i20<OrdersTotal();i20++){
      OrderSelect(i20,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+20-1)  || (OrderMagicNumber()==Magic_Number_B+20-1) ){
         rez++;}}   
   return(rez);
}
int Total20Orders_Mode(int m){
   int rez=0;
   for (int ii20=0;ii20<OrdersTotal();ii20++){
      OrderSelect(ii20,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+20-1)  || (OrderMagicNumber()==Magic_Number_B+20-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total21Orders(){
   int rez=0;
   for (int i21=0;i21<OrdersTotal();i21++){
      OrderSelect(i21,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+21-1)  || (OrderMagicNumber()==Magic_Number_B+21-1) ){
         rez++;}}   
   return(rez);
}
int Total21Orders_Mode(int m){
   int rez=0;
   for (int ii21=0;ii21<OrdersTotal();ii21++){
      OrderSelect(ii21,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+21-1)  || (OrderMagicNumber()==Magic_Number_B+21-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total22Orders(){
   int rez=0;
   for (int i22=0;i22<OrdersTotal();i22++){
      OrderSelect(i22,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+22-1)  || (OrderMagicNumber()==Magic_Number_B+22-1) ){
         rez++;}}   
   return(rez);
}
int Total22Orders_Mode(int m){
   int rez=0;
   for (int ii22=0;ii22<OrdersTotal();ii22++){
      OrderSelect(ii22,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+22-1)  || (OrderMagicNumber()==Magic_Number_B+22-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total23Orders(){
   int rez=0;
   for (int i23=0;i23<OrdersTotal();i23++){
      OrderSelect(i23,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+23-1)  || (OrderMagicNumber()==Magic_Number_B+23-1) ){
         rez++;}}   
   return(rez);
}
int Total23Orders_Mode(int m){
   int rez=0;
   for (int ii23=0;ii23<OrdersTotal();ii23++){
      OrderSelect(ii23,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+23-1)  || (OrderMagicNumber()==Magic_Number_B+23-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total24Orders(){
   int rez=0;
   for (int i24=0;i24<OrdersTotal();i24++){
      OrderSelect(i24,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+24-1)  || (OrderMagicNumber()==Magic_Number_B+24-1) ){
         rez++;}}   
   return(rez);
}
int Total24Orders_Mode(int m){
   int rez=0;
   for (int ii24=0;ii24<OrdersTotal();ii24++){
      OrderSelect(ii24,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+24-1)  || (OrderMagicNumber()==Magic_Number_B+24-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total25Orders(){
   int rez=0;
   for (int i25=0;i25<OrdersTotal();i25++){
      OrderSelect(i25,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+25-1)  || (OrderMagicNumber()==Magic_Number_B+25-1) ){
         rez++;}}   
   return(rez);
}
int Total25Orders_Mode(int m){
   int rez=0;
   for (int ii25=0;ii25<OrdersTotal();ii25++){
      OrderSelect(ii25,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+25-1)  || (OrderMagicNumber()==Magic_Number_B+25-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total26Orders(){
   int rez=0;
   for (int i26=0;i26<OrdersTotal();i26++){
      OrderSelect(i26,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+26-1)  || (OrderMagicNumber()==Magic_Number_B+26-1) ){
         rez++;}}   
   return(rez);
}
int Total26Orders_Mode(int m){
   int rez=0;
   for (int ii26=0;ii26<OrdersTotal();ii26++){
      OrderSelect(ii26,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+26-1)  || (OrderMagicNumber()==Magic_Number_B+26-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total27Orders(){
   int rez=0;
   for (int i27=0;i27<OrdersTotal();i27++){
      OrderSelect(i27,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+27-1)  || (OrderMagicNumber()==Magic_Number_B+27-1) ){
         rez++;}}   
   return(rez);
}
int Total27Orders_Mode(int m){
   int rez=0;
   for (int ii27=0;ii27<OrdersTotal();ii27++){
      OrderSelect(ii27,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+27-1)  || (OrderMagicNumber()==Magic_Number_B+27-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 
int Total28Orders(){
   int rez=0;
   for (int i28=0;i28<OrdersTotal();i28++){
      OrderSelect(i28,SELECT_BY_POS);
      if ((OrderMagicNumber()==Magic_Number_S+28-1)  || (OrderMagicNumber()==Magic_Number_B+28-1) ){
         rez++;}}   
   return(rez);
}
int Total28Orders_Mode(int m){
   int rez=0;
   for (int ii28=0;ii28<OrdersTotal();ii28++){
      OrderSelect(ii28,SELECT_BY_POS);
      if (((OrderMagicNumber()==Magic_Number_S+28-1)  || (OrderMagicNumber()==Magic_Number_B+28-1)) && OrderType()==m){
         rez++;}}   
   return(rez);
} 


// =========================Universal Parameter===================================
void sendBuy(double price, int mb,double lotb,string comb,double slb,double rb,double spb,double tpb){
         double SL=0,TP=0;
         int i;
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(OrderOpenPrice()+spb*Point,Digits)-(StopLoss+((rf-1)*slb*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(OrderOpenPrice()+spb*Point,Digits)+(TakeProfit+((rt-1)*tpb*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_BUYLIMIT,lotb,NormalizeDouble(OrderOpenPrice()+spb*Point,Digits),Slippage,SL,TP,comb,mb,0,Blue)==-1) {
               i=GetLastError();
               if (i!=1 && i!=0) Print("Buy stop Error :"+error(i)+" at "+comb+" "+Period());                 
         }
}
void sendSell(double price, int ms,double lots,string coms,double sls,double rs,double sps,double tps){
         double SL=0,TP=0;
         int h;
         
         if (StopLoss>0) {SL=NormalizeDouble(NormalizeDouble(OrderOpenPrice()-sps*Point,Digits)+(StopLoss+((rf-1)*sls*Range))*Point,Digits);}else{SL=0;}
         if (TakeProfit>0) {TP=NormalizeDouble(NormalizeDouble(OrderOpenPrice()-sps*Point,Digits)-(TakeProfit+((rt-1)*tps*Range))*Point,Digits);}else{TP=0;}
         if (OrderSend(Symbol(),OP_SELLLIMIT,lots,NormalizeDouble(OrderOpenPrice()-sps*Point,Digits),Slippage,SL,TP,coms,ms,0,Red)==-1) {
               h=GetLastError();
               if (h!=1 && h!=0) Print("Sell stop Error :"+error(h)+" at "+coms+" "+Period());                 
         }
}



int TotalOrders(){
   int rez=0;
   for (int i=0;i<OrdersTotal();i++){
      OrderSelect(i,SELECT_BY_POS);
      if (((OrderMagicNumber()>=Magic_Number_S && OrderMagicNumber()<=Magic_Number_S+100) || (OrderMagicNumber()>=Magic_Number_B && OrderMagicNumber()<=Magic_Number_B+100))){
         rez++;
      }}   
   return(rez);
} 



// Error Line
string error(int err){
switch (err){
 case 0 :return("No error returned.");
 case 1 :return("No error returned, but the result is unknown. ");
 
}
}



